import { QueryLoginBrowser } from '../query-login-browser.ts';
import { Query } from '@kevisual/query';
const query = new Query({
  url: 'https://kevisual.silkyai.cn/api/router',
});
query.before(async (options) => {
  console.log('before', options);
  const token = localStorage.getItem('token');
  if (token) {
    options.headers = {
      ...options.headers,
      Authorization: `Bearer ${token}`,
    };
  }
  return options;
});
const queryLogin = new QueryLoginBrowser({
  query,
  isBrowser: true,
});
// @ts-ignore
window.queryLogin = queryLogin;
