import { defineConfig } from 'tsup';

export default defineConfig({
  entry: ['src/query-login.ts', 'src/query-login-browser.ts', 'src/query-login-node.ts'],

  splitting: false,
  sourcemap: false,
  clean: true,
  format: 'esm',
  dts: true,
  outDir: 'dist',
  tsconfig: 'tsconfig.json',
  define: {
    IS_BROWSER: 'false',
  },
});
